Reorder Components
POST
/api/v1/workspaces/{workspace_id}/email_design_systems/{emailDesignSystemId}/reorder_components
const url = 'https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/email_design_systems/1/reorder_components';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"component_names":["hero","footer","cta"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/email_design_systems/1/reorder_components \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "component_names": [ "hero", "footer", "cta" ] }'Reorders the components.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace_id
required
integer
Workspace ID
emailDesignSystemId
required
integer
Email Design System ID
Request Body
Section titled “Request Body”Media typeapplication/json
object
component_names
required
An ordered list of component names representing the desired display order.
Array<string>
Example
[ "hero", "footer", "cta"]Responses
Section titled “Responses”Successful
Unauthorized
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}Forbidden
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}